Module org.eclipse.microprofile.openapi
Package org.eclipse.microprofile.openapi.annotations.enums

# Enum SecuritySchemeType

java.lang.Object
java.lang.Enum<SecuritySchemeType>
org.eclipse.microprofile.openapi.annotations.enums.SecuritySchemeType

All Implemented Interfaces:
  `Serializable`, `Comparable<SecuritySchemeType>`

public enum SecuritySchemeType extends Enum<SecuritySchemeType>

## Enum Constant Summary

Enum Constants
Enum Constant
Description
`APIKEY`
`DEFAULT`
`HTTP`
`MUTUALTLS`
`OAUTH2`
`OPENIDCONNECT`

## Method Summary

Modifier and Type
Method
Description
`String`
`toString()`
`static SecuritySchemeType`
`valueOf(String name)`
Returns the enum constant of this type with the specified name.
`static SecuritySchemeType[]`
`values()`
Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

## Enum Constant Details

### DEFAULT

public static final SecuritySchemeType DEFAULT

### APIKEY

public static final SecuritySchemeType APIKEY

### HTTP

public static final SecuritySchemeType HTTP

### OPENIDCONNECT

public static final SecuritySchemeType OPENIDCONNECT

### OAUTH2

public static final SecuritySchemeType OAUTH2

### MUTUALTLS

public static final SecuritySchemeType MUTUALTLS

## Method Details

### values

public static SecuritySchemeType[] values()
Returns an array containing the constants of this enum type, in the order they are declared.

Returns:
  an array containing the constants of this enum type, in the order they are declared

### valueOf

public static SecuritySchemeType valueOf(String name)
Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum type has no constant with the specified name
  `NullPointerException` - if the argument is null

### toString

public String toString()

Overrides:
  `toString` in class `Enum<SecuritySchemeType>`